package forge

type Forge string

const (
	ForgeGitea  Forge = "gitea"
	ForgeGitHub Forge = "github"
)

type Release struct {
	Name   string
	Assets []Asset
}

type Asset struct {
	Name        string
	DownloadURL string
}

type Forger interface {
	Latest() (Release, error)
}
